package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 冻结发行成功资产，后续授予操作将被禁止
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper014FreezeAssetRespDto {
    public long requestId;
    public int errNo;
    public String errMsg;

    private static final Xuper014FreezeAssetRespDto obj = new Xuper014FreezeAssetRespDto();
    public static Xuper014FreezeAssetRespDto getNew() {
        try {
            return (Xuper014FreezeAssetRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper014FreezeAssetRespDto();
        }
    }
}
